Lintian ReportsBETA

declare-python-versions-for-test

The specified test attempts to query the Python versions requested by your sources with the command py3versions --requested but your sources do not declare any versions with the field X-Python3-Version.

Please choose between two suggested remedies:

In most circumstances, it is probably best to replace the argument --requested with --supported. That will exercise the test with all available Python versions.

Should your installable require only specific Python versions, please add the field X-Python3-Version with the appropriate information to the source stanza in the debian/control file.

No redirection of the output, as in 2 > /dev/null, is needed in either case.

For more information please consult:

The tag is present in Lintian version 2.114.163. That is the most recent version we know about.

We use semantic versions. The patch number is a commit step indicator relative to the 2.114.0 release tag in our Git repository.

You can find the detection logic for this version at commit ea05801. For merge requests, please use the latest version in the Lintian check testsuite.

Visibility: warning

Renamed from:
  • declare-requested-python-versions-for-test

The following 184 source packages in the archive triggered the tag 196 times (in any Lintian version).

There were no overrides.